#	$OpenBSD: sshd_config,v 1.103 2018/04/09 20:41:22 tj Exp $

# This is the sshd server system-wide configuration file.  See
# sshd_config(5) for more information.

# This sshd was compiled with PATH=/bin:/usr/bin:/sbin:/usr/sbin

# The strategy used for options in the default sshd_config shipped with
# OpenSSH is to specify options with their default value where
# possible, but leave them commented.  Uncommented options override the
# default value.

#Port 22
#AddressFamily any
ListenAddress {{ glxclans_host_ssh.listen_address }}
#ListenAddress ::

Protocol {{ glxclans_host_ssh.protocol }}

#HostKey /etc/ssh/ssh_host_rsa_key
#HostKey /etc/ssh/ssh_host_ecdsa_key
#HostKey /etc/ssh/ssh_host_ed25519_key

# Ciphers and keying
#RekeyLimit default none

# Logging
SyslogFacility {{ glxclans_host_ssh.syslog_facility }}
LogLevel {{ glxclans_host_ssh.log_level }}

# Authentication:

LoginGraceTime {{ glxclans_host_ssh.login_grace_time }}
PermitRootLogin {{ glxclans_host_ssh.permit_root_login }}
StrictModes {{ glxclans_host_ssh.strict_modes }}
#MaxAuthTries 6
#MaxSessions 10

HostbasedAuthentication {{ glxclans_host_ssh.hostbased_authentication }}
PubkeyAuthentication {{ glxclans_host_ssh.pubkey_authentication }}
PasswordAuthentication {{ glxclans_host_ssh.password_authentication }}


# The default is to check both .ssh/authorized_keys and .ssh/authorized_keys2
# but this is overridden so installations will only check .ssh/authorized_keys
AuthorizedKeysFile	{{ glxclans_host_ssh.authorized_keys_file }}

#AuthorizedPrincipalsFile none

#AuthorizedKeysCommand none
#AuthorizedKeysCommandUser nobody

# For this to work you will also need host keys in /etc/ssh/ssh_known_hosts
# Change to yes if you don't trust ~/.ssh/known_hosts for
#IgnoreUserKnownHosts no
# Don't read the user's ~/.rhosts and ~/.shosts files
IgnoreRhosts {{ glxclans_host_ssh.ignore_rhosts }}

# Change to no to disable s/key passwords
ChallengeResponseAuthentication {{ glxclans_host_ssh.challenge_response_authentication }}

PermitEmptyPasswords {{ glxclans_host_ssh.permit_empty_passwords }}

# Kerberos options
#KerberosAuthentication no
#KerberosOrLocalPasswd yes
#KerberosTicketCleanup yes
#KerberosGetAFSToken no

# GSSAPI options
#GSSAPIAuthentication {{ glxclans_host_ssh.gssapi_authentication }}
#GSSAPICleanupCredentials yes

# Set this to 'yes' to enable PAM authentication, account processing,
# and session processing. If this is enabled, PAM authentication will
# be allowed through the ChallengeResponseAuthentication and
# PasswordAuthentication.  Depending on your PAM configuration,
# PAM authentication via ChallengeResponseAuthentication may bypass
# If you just want the PAM account and session checks to run without
# PAM authentication, then enable this but set PasswordAuthentication
# and ChallengeResponseAuthentication to 'no'.
#UsePAM no

#AllowAgentForwarding yes
# Feel free to re-enable these if your use case requires them.
AllowTcpForwarding {{ glxclans_host_ssh.allow_tcp_forwarding }}
GatewayPorts no
X11Forwarding no
#X11DisplayOffset 10
#X11UseLocalhost yes
#PermitTTY yes
#PrintMotd yes
TCPKeepAlive {{ glxclans_host_ssh.tcp_keep_alive }}
#PermitUserEnvironment no
Compression {{ glxclans_host_ssh.compression }}
ClientAliveInterval {{ glxclans_host_ssh.client_alive_interval }}
ClientAliveCountMax {{ glxclans_host_ssh.client_alive_count_max }}
#UseDNS no
#PidFile /run/sshd.pid
#MaxStartups 10:30:100
#PermitTunnel no
#ChrootDirectory none
#VersionAddendum none

# no default banner path
#Banner none

# override default of no subsystems
Subsystem	sftp	internal-sftp

# Example of overriding settings on a per-user basis
#Match User anoncvs
#	X11Forwarding no
#	AllowTcpForwarding no
#	PermitTTY no
#	ForceCommand cvs server
UseDNS no
